Eclipse | Previous versions

On this page

Previous versions

Please remember that SonarSource officially supports only the latest version of SonarLint for Eclipse.

Installing previous versions

Installation of an earlier version is possible by downloading the appropriate asset from the SonarLint for Eclipse repository before following the Offline installation instructions.

When installing SonarLint for Eclipse from the Eclipse Marketplace, the newest available version for your version of Eclipse will be presented. Check the SonarLint for Eclipse Requirements page for more details.

© 2008-2024 SonarSource SA. All rights reserved. SONAR, SONARSOURCE, SONARLINT, SONARQUBE, SONARCLOUD, and CLEAN AS YOU CODE are trademarks of SonarSource SA.

Creative Commons License